import { Exists, PrismaOptions } from './types';
import { Binding } from '.';
import { BatchedGraphQLClient } from 'http-link-dataloader';
export declare class Prisma extends Binding {
    $exists: Exists;
    token: string;
    client: BatchedGraphQLClient;
    constructor({typeDefs, endpoint, secret, fragmentReplacements, debug}: PrismaOptions);
    private buildExists();
}
