import { GraphQLSchema } from 'graphql';
import { Interpolation } from './types';
export declare class Generator {
    schema: GraphQLSchema;
    constructor({schema}: {
        schema: GraphQLSchema;
    });
    compile(strings: TemplateStringsArray, ...interpolations: Interpolation<Generator>[]): string;
}
